using System;
using System.Text;

internal sealed class Delegate170 : MulticastDelegate
{
	public extern StringBuilder Invoke(object object_0, string string_0, object object_1, object object_2);

	public static StringBuilder smethod_0(object object_0, string string_0, object object_1, object object_2, Delegate170 delegate170_1)
	{
		return delegate170_1(object_0, string_0, object_1, object_2);
	}

	public extern Delegate170(object object_0, IntPtr intptr_0);

	static Delegate170()
	{
		Class10.smethod_13(typeof(Delegate170).TypeHandle);
	}

	internal static Delegate170 delegate170_0;
}
